Package bitel.billing.server.script.global.bean

# Class GlobalScriptLogManager

java.lang.Object
bitel.billing.server.script.global.bean.GlobalScriptLogManager

    @Deprecated
    public class GlobalScriptLogManager
    extends java.lang.Object

Deprecated.
Более не использовать, использавать <`GlobalScriptLogDao`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GlobalScriptLogManager()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<GlobalScriptLog>` | `getScriptLogList​(java.util.Date start, java.util.Date end, Page page)` | Deprecated. Возвращает постраничный список логов скриптов договора за определенный период
  `java.lang.String` | `writeLog​(java.lang.String functionName, java.lang.String out, java.lang.String err, java.lang.String ex, java.util.Calendar startTime)` | Deprecated. Записывает лог выполнения глобального скрипта.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GlobalScriptLogManager

    public GlobalScriptLogManager()
    Deprecated.

- ## Method Details

  - ### getScriptLogList

    public java.util.List<GlobalScriptLog> getScriptLogList​(java.util.Date start, java.util.Date end, Page page)
    Deprecated.
    Возвращает постраничный список логов скриптов договора за определенный период
    Parameters:
      `start` - начало периода
      `end` - конец периода
      `page` - страница
    Returns:
      список

  - ### writeLog

    public java.lang.String writeLog​(java.lang.String functionName, java.lang.String out, java.lang.String err, java.lang.String ex, java.util.Calendar startTime) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Записывает лог выполнения глобального скрипта.
    Parameters:
      `functionName` - имя скрипта
      `report` - лог
      `completeTime` - время завершения выполнения
    Throws:
      `ru.bitel.bgbilling.common.BGException`